#!BuildIgnore:          post-build-checks
%define	RPMVERSION 5.10
%define VERSION    5.10
Summary:	Kernel loader which uses a FAT, ext2/3 or iso9660 filesystem or a PXE network
Name:		syslinux
Version:	%{RPMVERSION}
Release:	1.2
License:	GPL
Group:		System/Boot
Source0:	ftp://ftp.kernel.org/pub/linux/utils/boot/syslinux/%{name}-%{VERSION}.tar.bz2
Source1:	syslinux5.ld.so.conf
Source2:	%{name}-rpmlintrc
ExclusiveArch:	i386 i486 i586 i686 athlon pentium4 x86_64
Buildroot:	%{_tmppath}/%{name}-%{VERSION}-root
BuildRequires:	nasm >= 0.98.39 perl
BuildRequires:	python
BuildRequires:	xz
%if 0%{?suse_version} >= 1030 || 0%{?centos_version} || 0%{?redhat_version} || 0%{?rhel_version} || 0%{?sl_version} || 0%{?fedora_version}
BuildRequires:	libuuid-devel
%else
BuildRequires:	e2fsprogs-devel
%endif
BuildPrereq:	nasm >= 0.98.39 perl
#Autoreq:	off
%ifarch x86_64
Requires:	mtools, libc.so.6()(64bit)
%define my_cc gcc
%else
Requires:	mtools, libc.so.6
%define my_cc gcc -m32
%endif
%define _sbindir /sbin

# extra Provides need since 5.x for shared libs 
Provides: libcom32.c32
Provides: libgpl.c32
Provides: liblua.c32
Provides: libmenu.c32
Provides: libutil.c32


%package devel
Summary:	Development environment for SYSLINUX add-on modules
Group:		Development/Libraries
Requires:	syslinux

%description
SYSLINUX is a suite of bootloaders, currently supporting DOS FAT
filesystems, Linux ext2/ext3 filesystems (EXTLINUX), PXE network boots
(PXELINUX), or ISO 9660 CD-ROMs (ISOLINUX).  It also includes a tool,
MEMDISK, which loads legacy operating systems from these media.

%description devel
The SYSLINUX boot loader contains an API, called COM32, for writing
sophisticated add-on modules.  This package contains the libraries
necessary to compile such modules.

%package extlinux
Summary:	The EXTLINUX bootloader, for booting the local system
Group:		System/Boot
Requires:	syslinux

%description extlinux
The EXTLINUX bootloader, for booting the local system, as well as all
the SYSLINUX/PXELINUX modules in /boot.

%package tftpboot
Summary:	SYSLINUX modules in /tftpboot, available for network booting
Group:		Applications/Internet
Requires:	syslinux

%description tftpboot
All the SYSLINUX/PXELINUX modules directly available for network
booting in the /tftpboot directory.

%prep
%setup -q -n syslinux-%{VERSION}

%build
make CC='%{my_cc}' spotless
make CC='%{my_cc}' all
make CC='%{my_cc}' -C sample tidy

%install
rm -rf %{buildroot}
make CC='%{my_cc}' install-all \
	INSTALLROOT=%{buildroot} BINDIR=%{_bindir} SBINDIR=%{_sbindir} \
	LIBDIR=%{_libdir} DATADIR=%{_datadir} \
	MANDIR=%{_mandir} INCDIR=%{_includedir} \
	TFTPBOOT=/tftpboot EXTLINUXDIR=/boot/extlinux
make CC='%{my_cc}' -C sample tidy
mkdir -p %{buildroot}/etc
%__install -D -m644 %{S:1} %{buildroot}%{_sysconfdir}/ld.so.conf.d/syslinux5.conf

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING NEWS doc/*
%doc sample
%{_mandir}/man*/*
%{_bindir}/*
%dir %{_datadir}/syslinux
%dir %{_datadir}/syslinux/dosutil
%{_datadir}/syslinux/*.com
%{_datadir}/syslinux/*.c32
%{_datadir}/syslinux/*.bin
%{_datadir}/syslinux/*.0
%{_datadir}/syslinux/memdisk
%{_datadir}/syslinux/dosutil/eltorito.sys
%{_datadir}/syslinux/dosutil/mdiskchk.com
%{_datadir}/syslinux/dosutil/copybs.com
%dir %{_datadir}/syslinux/diag
%{_datadir}/syslinux/diag/geodsp1s.img.xz
%{_datadir}/syslinux/diag/geodspms.img.xz
%{_datadir}/syslinux/diag/handoff.bin
%config %{_sysconfdir}/ld.so.conf.d/syslinux5.conf

%files devel
%defattr(-,root,root)
%{_datadir}/syslinux/com32

%files extlinux
%defattr(-,root,root)
%{_sbindir}/extlinux
/boot/extlinux

%files tftpboot
%defattr(-,root,root)
/tftpboot

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%post extlinux
if [ -f /boot/extlinux/extlinux.conf ]; then
	extlinux --update /boot/extlinux || :
elif [ -f /boot/extlinux.conf ]; then
	mkdir -p /boot/extlinux 
	mv /boot/extlinux.conf /boot/extlinux/extlinux.conf || :
	ln -sf /boot/extlinux/extlinux.conf /boot/extlinux.conf || :
	extlinux --update /boot/extlinux || :
fi

%changelog
* Sun Dec 22 2013 cs@linux-administrator.com
- update to release 5.10
  * PXELINUX: An entirely new network implementation based on the lwIP
    embedded TCP/IP stack. As a result, plain PXELINUX can now support
    HTTP and FTP without gPXE/iPXE. ls/readdir functionality is supported
    over HTTP with an indexing webserver, or over FTP with most common
    FTP servers. For the new network stack use lpxelinux.0.
    For the legacy stack use pxelinux.0.
  * Rename the "ipappend" option to "sysappend" ("ipappend" is still
    accepted as an alias) and make it available for all derivatives.
    Add additional strings derived from the system DMI/SMBIOS information if available.
  * "sysappend" strings are also sent as http cookies, with the prefix
    _Syslinux_ added, on all http transfers. This can be overridden with
    the SENDCOOKIES configuration file command.
  * poweroff.c32: A new module to power off a system via APM.
    It replaces the poweroff COMBOOT module (Sebastian Herbszt).
  * PXELINUX: Fix booting with DHCP options 209 and 210 which was broken in 5.00.
  * Handle loading kernel images with no protected mode code.
    A legitimate kernel image can consist solely of real-mode code.
    The support for booting such images was broken in 5.00 (Josh Triplett).
  * Fix a regression in the .psf font file loader introduced in 5.00.
* Sun Mar 17 2013 cs@linux-administrator.com
- initial package of version 5.x
